Page MenuHomePhabricator

Make form for Astropay Brazilian credit cards
Closed, ResolvedPublic2 Story Points

Description

Make Astropay credit cards form. If you want to use the new Mustache form, go for it. If copy/paste is better, that's an option, too.

NOTE: We will need to create country specific translations for 'fiscal number' in translatewiki for each language/country.

We would need translations in Spanish for:

  • Chile
  • Colombia
  • Argentina
  • Mexico
  • Peru
  • Uruguay

in Portuguese for:

  • Brazil
  • Portugal

Event Timeline

pizzzacat claimed this task.
pizzzacat raised the priority of this task from to Needs Triage.
pizzzacat updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 5:41 PM
pizzzacat set Security to None.Apr 23 2015, 5:42 PM
pizzzacat edited a custom field.

@pizzzacat does this replace T90502? or are they sort of interdependent?

@atgo I'd say they're the same thing. Sorry, I didn't know the other one existed.

No worries! Merging.

atgo triaged this task as Normal priority.Apr 29 2015, 10:46 PM
atgo renamed this task from Make mustache form for Astropay credit cards to Make mustache form for Astropay Brazilian credit cards.May 4 2015, 7:50 PM
atgo updated the task description. (Show Details)
atgo moved this task from Backlog to New hires! Woo! on the Fundraising-Backlog-Old board.

Change 205912 had a related patch set uploaded (by Awight):
WIP forms refactor styles

https://gerrit.wikimedia.org/r/205912

atgo removed pizzzacat as the assignee of this task.May 5 2015, 9:16 PM
atgo removed a subscriber: pizzzacat.
atgo renamed this task from Make mustache form for Astropay Brazilian credit cards to Make form for Astropay Brazilian credit cards.May 5 2015, 9:28 PM

Change 210763 had a related patch set uploaded (by Ejegg):
Revert Astropay to using RapidHTML form engine

https://gerrit.wikimedia.org/r/210763

atgo updated the task description. (Show Details)May 13 2015, 8:39 PM
atgo raised the priority of this task from Normal to High.May 13 2015, 9:25 PM
atgo assigned this task to Ejegg.May 13 2015, 11:10 PM

Change 212458 had a related patch set uploaded (by Ejegg):
WIP forms refactor resources

https://gerrit.wikimedia.org/r/212458

Moved to "doing" since there's a patch attached :)

Change 212252 had a related patch set uploaded (by Ejegg):
Copy GlobalCollect form and make it mustache-y

https://gerrit.wikimedia.org/r/212252

Change 212252 merged by jenkins-bot:
Copy GlobalCollect form and make it mustache-y

https://gerrit.wikimedia.org/r/212252

@Ejegg I just confirmed with Megan that there are not additional mockups, but we could ask for ones for Brazil/CC if it's helpful. Let me know

Change 212458 merged by jenkins-bot:
Refactor form resource loading

https://gerrit.wikimedia.org/r/212458

Change 212728 had a related patch set uploaded (by Ejegg):
More logic for mustache forms

https://gerrit.wikimedia.org/r/212728

Hey there! @Ppena has requested that we make the minimum R$5 (~$1.5 USD). Is that possible?

Change 212728 merged by jenkins-bot:
More logic for mustache forms

https://gerrit.wikimedia.org/r/212728

Ejegg added a comment.Jun 1 2015, 10:59 PM

Yes, I can update the settings on prod to set that minimum specifically for astropay

Change 210763 abandoned by Ejegg:
Revert Astropay to using RapidHTML form engine

Reason:
Full speed ahead!

https://gerrit.wikimedia.org/r/210763

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM